Loading...
Searching...
No Matches
GFContext Struct Referenceabstract

`#include <gridfire_context.h>`

Inheritance diagram for GFContext:
[legend]
Collaboration diagram for GFContext:
[legend]

## Public Member Functions

virtual | ~GFContext ()=default
virtual void | init_species_map (const std::vector< std::string > &species_names)
virtual void | init_engine_from_policy (const std::string &policy_name, const double *abundances, size_t num_species)
virtual void | init_solver_from_engine ()=0
fourdst::composition::Composition | init_composition_from_abundance_vector (const std::vector< double > &abundances, size_t num_species) const

## Public Attributes

std::unique_ptr< gridfire::policy::NetworkPolicy > | policy
const gridfire::engine::DynamicEngine * | engine
std::unique_ptr< gridfire::engine::scratch::StateBlob > | engine_ctx
std::vector< fourdst::atomic::Species > | speciesList
std::string | last_error

## Constructor & Destructor Documentation

## ~GFContext()

virtual GFContext::~GFContext | ( |  | ) |

virtualdefault

## Member Function Documentation

## init_composition_from_abundance_vector()

fourdst::composition::Composition GFContext::init_composition_from_abundance_vector | ( | const std::vector< double > & | abundances,
|  | size_t | num_species ) const

## init_engine_from_policy()

void GFContext::init_engine_from_policy | ( | const std::string & | policy_name,
|  | const double * | abundances,
|  | size_t | num_species )

virtual

## init_solver_from_engine()

virtual void GFContext::init_solver_from_engine | ( |  | ) |

pure virtual

Implemented in GFGridContext, and GFPointContext.

## init_species_map()

void GFContext::init_species_map | ( | const std::vector< std::string > & | species_names | ) |

virtual

## Member Data Documentation

## engine

const gridfire::engine::DynamicEngine* GFContext::engine

## engine_ctx

std::unique_ptr<gridfire::engine::scratch::StateBlob> GFContext::engine_ctx

## last_error

std::string GFContext::last_error

## policy

std::unique_ptr<gridfire::policy::NetworkPolicy> GFContext::policy

## speciesList

std::vector<fourdst::atomic::Species> GFContext::speciesList

The documentation for this struct was generated from the following files:

- src/extern/include/gridfire/extern/gridfire_context.h
- src/extern/lib/gridfire_context.cpp